metadata:
    format: Lava-Test Test Definition 1.0
    name: singlenode-set-test
    description: "Advanced (level 3): single node test with sets"
    maintainer:
        - neil.williams@linaro.org
    os:
        - ubuntu
    scope:
        - functional
    devices:
        - kvm
        - arndale
        - panda
        - beaglebone-black
        - beagle-xm

run:
    steps:
        - apt-get update -q
        - DEBIAN_FRONTEND=noninteractive lava-test-case install-base --shell apt-get -q -y install -o Dpkg::Options::="--force-confold" curl realpath ntpdate lsb-release usbutils
        - lava-test-set start network_1
        - lava-test-case linux-linaro-ubuntu-netstat --shell netstat -an
        - lava-test-case linux-linaro-ubuntu-ifconfig-dump --shell ifconfig -a
        - lava-test-case linux-linaro-ubuntu-route-dump-a --shell route
        - lava-test-case linux-linaro-ubuntu-route-ifconfig-up-lo --shell ifconfig lo up
        - lava-test-case linux-linaro-ubuntu-route-dump-b --shell route
        - lava-test-case linux-linaro-ubuntu-route-ifconfig-up --shell ifconfig eth0 up
        - lava-test-case ping-test --shell ping -W1 -c1 www.linaro.org
        - lava-test-set stop network_1
        - lava-test-set start network_2
        - lava-test-case linux-linaro-ubuntu-netstat --shell netstat -an
        - lava-test-case linux-linaro-ubuntu-ifconfig-dump --shell ifconfig -a
        - lava-test-case linux-linaro-ubuntu-route-dump-a --shell route
        - lava-test-case linux-linaro-ubuntu-route-ifconfig-up-lo --shell ifconfig lo up
        - lava-test-case linux-linaro-ubuntu-route-dump-b --shell route
        - lava-test-case linux-linaro-ubuntu-route-ifconfig-up --shell ifconfig eth0 up
        - lava-test-case ping-test --shell ping -W1 -c1 www.linaro.org
        - lava-test-set stop network_2
        - lava-test-case realpath2-should-fail --shell realpath2 ./lava-test-shell/multi-node/check_ip.sh
        - lava-test-case realpath-check --shell realpath ./lava-test-shell/multi-node/check_ip.sh
        - lava-test-case ntpdate-check --shell ntpdate-debian
        - lava-test-case curl-http --shell curl -o img.tar.gz http://images.validation.linaro.org/lava-masters/dynamic/cubietruck/cbtruck_img.tar.gz
        - lava-test-case tar-tgz --shell tar -tzf img.tar.gz
        - lava-test-case remove-tgz --shell rm img.tar.gz
